#
# spec file for package kicad-templates
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# 8.0.x are bugfix versions, do not require users to upgrade symbols/footprints/packages
%define compatversion 8.0.0

Name:           kicad-templates
Version:        8.0.8
Release:        1.1
Summary:        Project templates for KiCad
# License is CC-BY-SA-4.0 but there is an exception
# See included LICENSE.md and kicad.org/libraries/license/
License:        CC-BY-SA-4.0
Group:          Productivity/Scientific/Electronics
URL:            https://www.kicad.org
Source:         https://gitlab.com/kicad/libraries/kicad-templates/-/archive/%{version}/kicad-templates-%{version}.tar.bz2#/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  fdupes
BuildArch:      noarch
Provides:       kicad-templates = %{compatversion}
# kicad library has been removed, templates are packaged separately
Conflicts:      kicad-library <= 4.0.7
Provides:       kicad-library:%{_datadir}/kicad/template/Arduino_Fio/fp-lib-table

%description
KiCad is a software suite used for Electronic Design Automation (EDA).

This is the project templates package for KiCad.

%prep
%setup -q

%build
%cmake \
    -DKICAD_DATA:PATH=%{_datadir}/kicad
%cmake_build

%install
%cmake_install
%fdupes %{buildroot}/%{_datadir}/kicad/template/

%files
%license LICENSE.md
%{_datadir}/kicad/

%changelog
* Mon Jan 13 2025 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 8.0.8:
  See https://www.kicad.org/blog/2025/01/KiCad-8.0.8-Release/ for details
* Wed Dec  4 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 8.0.7:
  See https://www.kicad.org/blog/2024/12/KiCad-8.0.7-Release/ for details
* Tue Oct 22 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 8.0.6:
  See https://www.kicad.org/blog/2024/10/KiCad-8.0.6-Release/ for details
* Wed Sep 18 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 8.0.5:
  See https://www.kicad.org/blog/2024/09/KiCad-8.0.5-Release/ for details
* Mon Jul 29 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 8.0.4:
  See https://www.kicad.org/blog/2024/07/KiCad-8.0.4-Release/ for details
* Wed Jun 12 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 8.0.3:
  See https://www.kicad.org/blog/2024/06/KiCad-8.0.3-Release/ for details
* Mon May  6 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 8.0.2:
  See https://www.kicad.org/blog/2024/04/KiCad-8.0.2-Release/ for details
* Fri Mar 15 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 8.0.1:
  See https://www.kicad.org/blog/2024/03/KiCad-8.0.1-Release/ for details
* Sun Feb 25 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 8.0.0:
  See https://www.kicad.org/blog/2024/02/KiCad-8.0.0-Release/ for details
* Mon Jan  1 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.10:
  See https://www.kicad.org/blog/2023/12/KiCad-7.0.10-Release/ for details
* Thu Dec  7 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.9:
  See https://www.kicad.org/blog/2023/11/KiCad-7.0.9-Release/ for details
- update to 7.0.8:
  See https://www.kicad.org/blog/2023/09/KiCad-7.0.8-Release/ for details
* Mon Sep 11 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.7:
  See https://www.kicad.org/blog/2023/08/KiCad-7.0.7-Release/ for details.
* Mon Aug 14 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.6:
  See https://www.kicad.org/blog/2023/07/KiCad-7.0.6-Release/ for details.
* Sat Jun  3 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.5:
  See https://www.kicad.org/blog/2023/05/KiCad-7.0.5-Release/ for details.
* Tue Apr 25 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.2:
  See https://www.kicad.org/blog/2023/04/KiCad-7.0.2-Release/ for details.
* Sat Mar 11 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.1:
  See https://www.kicad.org/blog/2023/03/KiCad-7.0.1-Release/ for details.
* Tue Feb 14 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.0:
  See https://www.kicad.org/blog/2023/02/Version-7.0.0-Released/ for details.
* Thu Jan 26 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 6.0.11:
  See https://www.kicad.org/blog/2023/01/KiCad-6.0.11-Release/ for details.
* Thu Dec 29 2022 Dirk Müller <dmueller@suse.com>
- update to version 6.0.10:
  See https://www.kicad.org/blog/2022/12/KiCad-6.0.10-Release/ for details.
* Sat Nov  5 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.9
  See https://www.kicad.org/blog/2022/10/KiCad-6.0.9-Release/ for details.
* Fri Oct 28 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.8
  See https://www.kicad.org/blog/2022/09/KiCad-6.0.8-Release/ for details.
* Sun Aug 28 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.7
  See https://www.kicad.org/blog/2022/07/KiCad-6.0.7-Release/ for details.
* Tue Jun 21 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.6
  See https://www.kicad.org/blog/2022/06/KiCad-6.0.6-Release/ for details.
* Fri May 13 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.5
  See https://www.kicad.org/blog/2022/05/KiCad-6.0.5-Release/ for details.
* Sat Mar 19 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.4
  See https://www.kicad.org/blog/2022/03/KiCad-6.0.4-Release/ for details.
* Fri Feb 11 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.2
  See https://www.kicad.org/blog/2022/02/KiCad-6.0.2-Release/ for details.
* Tue Jan 25 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.1
  See https://www.kicad.org/blog/2022/01/KiCad-6.0.1-Release/ for details.
* Sat Dec 25 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.0
  See https://www.kicad.org/blog/2021/12/KiCad-6.0.0-Release/ for details.
* Thu Nov 18 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.12
  See https://kicad.org/blog/2021/11/KiCad-5.1.12-Release/ for details.
* Sat Oct 30 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.11
  See https://kicad.org/blog/2021/11/KiCad-5.1.11-Release/ for details.
- Replace references to old domain (hijacked) with kicad.org
  https://www.kicad.org/blog/2021/10/Avoid-links-to-former-kicad-domain/
* Wed Apr 28 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.10
  See https://kicad.org/blog/2021/05/KiCad-5.1.10-Release/ for details.
* Wed Dec 30 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.9
  See https://kicad.org/blog/2020/12/KiCad-5.1.9-Release/ for details.
* Fri Nov  6 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.8
  See https://kicad.org/blog/2020/11/KiCad-5.1.8-Release/ for details.
- Updated Source URL to gitlab
* Mon Sep 28 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.7, no changelog provided
* Fri May 29 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.6
  See http://kicad-pcb.org/blog/2020/05/KiCad-5.1.6-Release/ for details.
* Fri Feb 14 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Add Conflicts for kicad-library, removed/split with kicad-5.0.0,
  fixes upgrade path for e.g. Leap 15.2.
* Mon Nov 18 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.5
  See http://kicad-pcb.org/blog/2019/11/KiCad-5.1.5-Release/ for details.
* Wed Aug  7 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.4
  See http://kicad-pcb.org/blog/2019/08/KiCad-5.1.4-Release/ for details.
* Mon Apr 15 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.1
  See http://kicad-pcb.org/blog/2019/04/KiCad-5.1.1-Release/ for details.
* Mon Mar 11 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.0
  See http://kicad-pcb.org/blog/2019/03/KiCad-5.1.0-Release/ for details.
* Thu Dec  6 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.0.2
* Thu Oct 18 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Initial package, version 5.0.1
